package com.zhiyun.project.item.controller;

import com.alibaba.fastjson2.JSONObject;
import com.zhiyun.common.annotation.Anonymous;
import com.zhiyun.common.model.ApiResult;
import com.zhiyun.project.common.BaseController;
import com.zhiyun.project.item.service.DeviceService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("/device")
public class DeviceController  {

    @Autowired
    private DeviceService deviceService;

    // 插入设备数据
    @PostMapping("/getDeviceData")
    @Anonymous
    public ApiResult insetDeviceData(@RequestBody JSONObject jsonObject) {
        return ApiResult.success(deviceService.insetDeviceData(jsonObject));
    }

    // 获取设备筛选项
    @GetMapping("/getDeviceOptions")
    @Anonymous
    public ApiResult getDeviceOptions() {
        return ApiResult.success(deviceService.getDeviceOptions());
    }

    // 获取设备信息
    @GetMapping("/getDeviceVoData")
    @Anonymous
    public ApiResult getDeviceData(@RequestParam Integer id) {
        return ApiResult.success(deviceService.getDeviceData(id));
    }

    //获取设备坐标列表
    @GetMapping("/getCoordinateData")
    @Anonymous
    public ApiResult getCoordinateData() {
        return ApiResult.success(deviceService.getCoordinateData());
    }



}
